/// <reference types="@project-serum/anchor/node_modules/@solana/web3.js" />
import { FaucetClient } from './faucet';
import type { Cypher } from '../generated/types/cypher';
import type { Cluster, Wallet } from '../types';
import { PublicKey } from '@solana/web3.js';
import { ProgramClient } from './client';
export declare class CypherClient extends ProgramClient<Cypher> {
    readonly cluster: Cluster;
    faucet: FaucetClient;
    constructor(cluster: Cluster, rpcEndpoint: string, wallet?: Wallet, confirmOpts?: import("@solana/web3.js").ConfirmOptions);
    get cypherPID(): PublicKey;
    get dexPID(): PublicKey;
    get quoteMint(): PublicKey;
}
