import { Keypair, PublicKey } from '@solana/web3.js';
import { LiquidityIncentiveClient } from '../client';
import { BN } from '@project-serum/anchor';
import { TransactionInstruction } from '@solana/web3.js';
export declare const makeCreateDepositIx: (client: LiquidityIncentiveClient, campaign: PublicKey, poolAddress: PublicKey, poolNodeAddress: PublicKey, poolNodeVaultAddress: PublicKey, assetMint: PublicKey, rewardMint: PublicKey, amount: BN) => Promise<{
    signers: Keypair[];
    ixs: TransactionInstruction[];
}>;
export declare const makeEndDepositIx: (client: LiquidityIncentiveClient, campaign: PublicKey, campaignRewardVault: PublicKey, campaignRewardVaultAuthority: PublicKey, deposit: PublicKey, pool: PublicKey, poolNode: PublicKey, poolNodeVault: PublicKey, poolNodeVaultSigner: PublicKey, assetMint: PublicKey, rewardMint: PublicKey) => Promise<{
    signers: Keypair[];
    ixs: TransactionInstruction[];
}>;
